Liferay.Loader.define("layout-admin-web@4.0.145/js/breadcrumbs/Breadcrumbs", ['module', 'exports', 'require', 'frontend-js-react-web$react', './BreadcrumbsItem'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _BreadcrumbsItem = _interopRequireDefault(require("./BreadcrumbsItem"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var Breadcrumbs = function Breadcrumbs(_ref) {
      var entries = _ref.entries;
      return (/*#__PURE__*/_react.default.createElement("ol", {
          className: "breadcrumb"
        }, entries.map(function (entry, index) {
          return (/*#__PURE__*/_react.default.createElement(_BreadcrumbsItem.default, {
              active: index === entries.length - 1,
              key: entry.url,
              title: entry.title,
              url: entry.url
            })
          );
        }))
      );
    };

    var _default = Breadcrumbs;
    exports.default = _default;
    //# sourceMappingURL=Breadcrumbs.js.map
  }
});
//# sourceMappingURL=Breadcrumbs.js.map