Liferay.Loader.define("asset-taglib@5.4.12/asset_categories_selector/AssetCategoriesSelectorTag.es", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './AssetCategoriesSelector.es', './assetVocabularyVisibilityTypes.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AssetCategoriesSelector = _interopRequireDefault(require("./AssetCategoriesSelector.es"));

    var _assetVocabularyVisibilityTypes = require("./assetVocabularyVisibilityTypes.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function AssetCategoriesSelectorTag(_ref) {
      var className = _ref.className,
          eventName = _ref.eventName,
          _ref$groupIds = _ref.groupIds,
          groupIds = _ref$groupIds === void 0 ? [] : _ref$groupIds,
          id = _ref.id,
          _ref$initialVocabular = _ref.initialVocabularies,
          initialVocabularies = _ref$initialVocabular === void 0 ? [] : _ref$initialVocabular,
          inputName = _ref.inputName,
          portletURL = _ref.portletURL;

      var _useState = (0, _react.useState)(initialVocabularies),
          _useState2 = _slicedToArray(_useState, 2),
          vocabularies = _useState2[0],
          setVocabularies = _useState2[1];

      return (/*#__PURE__*/_react.default.createElement(_AssetCategoriesSelector.default, {
          className: className,
          eventName: eventName,
          groupIds: groupIds,
          id: id,
          inputName: inputName,
          onVocabulariesChange: setVocabularies,
          portletURL: portletURL,
          vocabularies: vocabularies
        })
      );
    }

    function _default(props) {
      var initialPublicVocabularies = props.vocabularies.filter(function (vocabulary) {
        return vocabulary.visibilityType === _assetVocabularyVisibilityTypes.ASSET_VOCABULARY_VISIBILITY_TYPES.public;
      });
      var initialInternalVocabularies = props.vocabularies.filter(function (vocabulary) {
        return vocabulary.visibilityType === _assetVocabularyVisibilityTypes.ASSET_VOCABULARY_VISIBILITY_TYPES.internal;
      });
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.learnHowURL && /*#__PURE__*/_react.default.createElement("p", {
          className: "text-secondary",
          dangerouslySetInnerHTML: {
            __html: Liferay.Util.sub(Liferay.Language.get('x-learn-how-x-to-tailor-categories-to-your-needs'), "<a href=".concat(props.learnHowURL, " target=\"_blank\">"), '</a>')
          }
        }), initialPublicVocabularies && initialPublicVocabularies.length > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "border-0 mb-0 sheet-subtitle text-uppercase"
        }, Liferay.Language.get('public-categories')), /*#__PURE__*/_react.default.createElement("p", {
          className: "text-secondary"
        }, Liferay.Language.get('they-can-be-displayed-through-pages-widgets-fragments-and-searches')), /*#__PURE__*/_react.default.createElement(AssetCategoriesSelectorTag, _extends({}, props, {
          className: 'public-categories',
          initialVocabularies: initialPublicVocabularies
        }))), initialInternalVocabularies && initialInternalVocabularies.length > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "border-0 mb-0 sheet-subtitle text-uppercase"
        }, Liferay.Language.get('internal-categories')), /*#__PURE__*/_react.default.createElement("p", {
          className: "text-secondary"
        }, Liferay.Language.get('they-are-displayed-inside-the-administration-only')), /*#__PURE__*/_react.default.createElement(AssetCategoriesSelectorTag, _extends({}, props, {
          className: 'internal-categories',
          initialVocabularies: initialInternalVocabularies
        }))))
      );
    }
    //# sourceMappingURL=AssetCategoriesSelectorTag.es.js.map
  }
});
//# sourceMappingURL=AssetCategoriesSelectorTag.es.js.map